Create a Payin
Collect funds from a third party (end-user) to be tokenized into stablecoin tokens. The payment link generated is valid for 15 minutes after creation.
- Production
- Sandbox
curl -X POST 'https://api.minteo.finance/v1/payins' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "token": "COPM", "amount": "127000", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "purpose": "Top-up on behalf of John Doe", "final_url": "https://yoursite.com/payin-completed", "payment": { "method": "PSE", "bank": "BANCO_FALABELLA" }, "third_party": { "full_name": "John Doe", "legal_identifier_type": "CC", "legal_identifier": "1099075610", "country_iso": "CO", "email": "john@example.com", "phone_number": "3001234567" }}'{ "output": { "id": "ffb50d6c-09f1-4f08-9b91-cbce466bed52", "action": { "type": "REDIRECT", "redirect_url": "https://api.minteo.finance/v1/payins/redirect/ffb50d6c-09f1-4f08-9b91-cbce466bed52" }, "status": "PENDING", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "amount": "127000", "token": "COPM", "purpose": "Top-up on behalf of John Doe", "final_url": "https://yoursite.com/payin-completed?payin_id=ffb50d6c-09f1-4f08-9b91-cbce466bed52", "payment": { "method": "PSE", "bank": "BANCO_FALABELLA" }, "third_party": { "full_name": "John Doe", "legal_identifier_type": "CC", "legal_identifier": "1099075610", "country_iso": "CO", "email": "john@example.com", "phone_number": "3001234567" } }, "code": "CREATED"}curl -X POST 'https://api.sandbox.minteo.finance/v1/payins' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "token": "testCOPM", "amount": "127000", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "purpose": "Test payin", "final_url": "https://yoursite.com/payin-completed", "payment": { "method": "PSE", "bank": "OUTBANK" }, "third_party": { "full_name": "John Doe", "legal_identifier_type": "CC", "legal_identifier": "1099075610", "country_iso": "CO", "email": "john@example.com", "phone_number": "3001234567" }}'{ "output": { "id": "ffb50d6c-09f1-4f08-9b91-cbce466bed52", "action": { "type": "REDIRECT", "redirect_url": "https://api.sandbox.minteo.finance/v1/payins/redirect/ffb50d6c-09f1-4f08-9b91-cbce466bed52" }, "status": "PENDING", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "amount": "127000", "token": "testCOPM", "purpose": "Top-up on behalf of John Doe", "final_url": "https://yoursite.com/payin-completed?payin_id=ffb50d6c-09f1-4f08-9b91-cbce466bed52", "payment": { "method": "PSE", "bank": "OUTBANK" }, "third_party": { "full_name": "John Doe", "legal_identifier_type": "CC", "legal_identifier": "1099075610", "country_iso": "CO", "email": "john@example.com", "phone_number": "3001234567" } }, "code": "CREATED"}Endpoint
/v1/payinsScope
payins:create
Request
Request Body
tokenstringThe stablecoin token to be used. Currently only COPM (Colombian Pesos) is supported. Must match the destination wallet's token.
amountstringAmount of funds to collect and tokenize. Max 5,000,000 per transaction. Minimum: 10,000 COP.
paymentpaymentPayment method configuration.
destination_wallet_iduuidID of the Customer's wallet to receive the stablecoin tokens.
purposestringDescription of why the payin is being made.
final_urlstringYour site's URL where Minteo redirects the end-user after payment completes. The Payin ID will be appended as ?payin_id=.... This is not the payment URL — that's returned in the response's action.redirect_url.
third_partythird_partyThe end-user completing the payment.
The payment object
methodstringPayment method. Currently only PSE (Pagos Seguros En linea) is supported.
bankPSE BanksThe bank for the payin. Must be from the list below.
Available PSE Banks
View available PSE banks
- Production
- Sandbox
ALIANZA_FIDUCIARIABANCIENBANCAMIABANCO_AGRARIOBANCO_AV_VILLASBANCO_BBVABANCO_CAJA_SOCIALBANCO_COOPERATIVO_COOPCENTRALBANCO_DAVIVIENDABANCO_DE_BOGOTABANCO_DE_OCCIDENTEBANCO_FALABELLABANCO_FINANDINABANCO_GNB_SUDAMERISBANCO_ITAUBANCO_J_P_MORGANBANCO_MUNDO_MUJERBANCO_PICHINCHABANCO_POPULARBANCO_SANTANDERBANCO_SERFINANZABANCO_UNIONBANCOLOMBIABANCOOMEVABOLDCFA_COOPERATIVA_FINANCIERACITIBANKCOINKCOLTEFINANCIERACONFIAR_COOPERATIVA_FINANCIERACOTRAFACREZCAMOSDALEDAVIPLATADINGFINANCIERA_JURISCOOP_SA_COMPANIA_DE_FINANCIAMIENTOGLOBAL66IRISJFK_COOPERATIVA_FINANCIERALULO_BANKMOVIINEQUINUPOWWIRAPPIPAYSCOTIABANK_COLPATRIAUALA
OUTBANK
The third_party object
full_namestringFull name of the third party.
legal_identifier_typestringType of legal ID. Valid values: CC (Cedula de Ciudadania), CE (Cedula de Extranjeria), NIT, PP (Passport).
legal_identifierstringLegal ID number.
country_isostringISO 3166-1 alpha-2 country code. Currently only CO (Colombia).
emailstringEmail address.
phone_numberstringColombian phone number, 10 digits without country code (e.g. 3001234567). Must be a real, unique number.
Response
The response includes an action field that indicates what the end-user needs to do next. Currently, the only action type is REDIRECT — you must redirect the end-user to action.redirect_url to complete the payment. After payment, they'll be redirected to your final_url with the Payin ID appended as ?payin_id=....
outputPayinThe Payin object.
codestringThe response status code text.
The action object
typestringAction type. Currently only REDIRECT.
redirect_urlstringURL to redirect the end-user to for payment completion.